name: sefer_driver
description: A new Flutter project.
publish_to: "none" # Remove this line if you wish to publish to pub.dev

version: 1.0.0+1

environment:
  sdk: ">=3.0.5 <4.0.0"

dependencies:
  flutter:
    sdk: flutter
  secure_string_operations:
    path: ./secure_string_operations
  flutter_overlay_apps:
    path: ./flutter_overlay_apps-main
  bubble_head:
    path: ./bubble-master
  # flutter_overlay_window: ^0.4.4
  cupertino_icons: ^1.0.2
  firebase_messaging: ^15.0.3
  firebase_core: ^3.2.0
  flutter_local_notifications: ^18.0.1
  google_maps_flutter: ^2.10.1
  sqflite: ^2.3.0
  path: ^1.8.3
  # lottie: ^2.5.0
  intl: ^0.19.0
  google_fonts: ^6.2.1
  http: ^1.2.2
  get: ^4.6.5
  get_storage: ^2.1.1
  url_launcher: ^6.1.12
  location: ^8.0.0
  google_polyline_algorithm: ^3.1.0
  # custom_searchable_dropdown: ^2.1.1
  animated_text_kit: ^4.2.2
  flutter_secure_storage: ^9.0.0
  geolocator: ^13.0.2
  flutter_paypal: ^0.2.0
  flutter_launcher_icons: ^0.14.2 #to be remove
  # crypto: ^3.0.3
  encrypt: ^5.0.3
  flutter_rating_bar: ^4.0.1
  flutter_font_icons: ^2.2.5
  image_picker: ^1.0.4
  flutter_stripe: ^11.3.0
  camera: ^0.11.0+1 #to be remove
  flutter_widget_from_html: ^0.15.1
  local_auth: ^2.1.7
  image: ^4.1.3 #to be remove
  image_cropper: ^8.1.0
  envied: ^1.0.0
  # cached_network_image: ^3.3.0 #to be remove
  calendar_builder: ^0.0.6
  fl_chart: ^0.70.0
  # agora_rtc_engine: ^6.2.6
  flutter_tts: ^4.0.2
  permission_handler: ^11.3.0
  # google_generative_ai: ^0.0.1-dev
  vibration: ^2.0.1
  wakelock_plus:
  # background_location: ^0.13.0
  # background_location:
  #   git:
  #     url: https://github.com/dharmik-dalwadi-seaflux/background_location.git
  #     ref: master

  # flutter_overlay_apps:
  #   git:
  #     url: https://github.com/Hamza-Ayed/flutter_overlay_apps.git
  #     ref: main
  record: ^5.0.5
  dio: ^5.4.3+1
  webview_flutter: ^4.9.0
  just_audio: ^0.9.37
  share_plus: ^7.2.1
  google_sign_in: ^6.2.1
  # google_mlkit_text_recognition: ^0.14.0
  sign_in_with_apple: ^6.1.0
  firebase_auth: ^5.1.2
  package_info_plus: ^8.0.0
  flutter_image_compress: ^2.3.0
  flutter_contacts: ^1.1.8
  flutter_overlay_window: ^0.4.4
  googleapis_auth: ^1.6.0
  video_player: ^2.9.2
  youtube_player_flutter: ^9.0.4
  flutter_confetti: ^0.3.0
  slide_to_act: ^2.0.2
  live_activities: ^2.3.0
  quick_actions: ^1.1.0
  jwt_decoder: ^2.0.1
  jailbreak_root_detection: ^1.1.5
  device_info_plus: ^11.3.0
  flutter_web_browser: ^0.17.3
  # flutter_isolate: ^2.1.0
  # lingo_hunter: ^1.0.3
  shimmer: ^3.0.0
  flutter_svg: ^2.2.0
  lottie: ^3.3.1
  flutter_staggered_animations: ^1.1.1
  battery_plus: ^6.2.2
  internet_connection_checker: ^3.0.1
  connectivity_plus: ^6.1.5
  # pip_view: ^0.9.7
  flutter_map: ^6.1.0 # (استخدم أحدث إصدار دائماً)

  # مكتبة التخزين لتحميل الخرائط أوفلاين
  flutter_map_tile_caching: ^9.0.0 # (استخدم أحدث إصدار)
  latlong2: ^0.9.1

  # مكتبة لتحديد النقاط على الخريطة (مثل latLng)

dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^5.0.0
  envied_generator: ^1.0.0
  build_runner: ^2.4.6

flutter_launcher_icons:
  android: "launcher_icon"
  ios: true
  image_path: "assets/images/logo.png"
  min_sdk_android: 21
  web:
    generate: true
    image_path: "assets/images/logo.png"
    background_color: "#hexcode"
    theme_color: "#hexcode"
  windows:
    generate: true
    image_path: "assets/images/logo.png"
    icon_size: 48
  macos:
    generate: true
    image_path: "assets/images/logo.png"

flutter:
  uses-material-design: true
  assets:
    - assets/
    - assets/images/
    - assets/fonts/
    - shorebird.yaml

  fonts:
    # - family: mohanad
    #   fonts:
    #     - asset: assets/fonts/mohanad.ttf
    # - family: josefin
    #   fonts:
    #     - asset: assets/fonts/josefin.ttf
    - family: digit
      fonts:
        - asset: assets/fonts/digit.ttf
dependency_overrides:
  record_platform_interface: "1.2.0"
